using GxPress.EnumConst;
using Datory.Annotations;

namespace GxPress.Entity.Middle
{
    /// <summary>
    /// 中间表
    /// </summary>
    [DataTable("tede_middle")]
    public class Middle : Datory.Entity
    {
        /// <summary>
        /// 文件夹名称
        /// </summary>
        [DataColumn]
        public string FolderName { get; set; }
        /// <summary>
        /// 文件夹类型 1 通知 2话题 3 收藏 4笔记 5 普通站内信 6匿名站内信 7小组 10信源
        /// </summary>
        [DataColumn]
        public int FolderType { get; set; }
        /// <summary>
        /// 是否置顶
        /// </summary>
        [DataColumn]
        public bool IsTop { get; set; }

        /// <summary>
        /// 文件夹权限 1 普通 2 私有 3 共享
        /// </summary>
        [DataColumn]
        public int RoleId { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        [DataColumn]
        public int Sort { get; set; }
        /// <summary>
        /// 中间件ID 根据FolderType
        /// </summary>
        [DataColumn]
        public int MiddleId { get; set; }
        /// <summary>
        /// 父级ID
        /// </summary>
        [DataColumn]
        public int ParentId { get; set; }

        /// <summary>
        /// 属性值  1 普通 2文件夹 3 验证
        /// </summary>
        [DataColumn]
        public int AttributeValue { get; set; }

        /// <summary>
        /// 用户ID
        /// </summary>
        [DataColumn]
        public int UserId { get; set; }
        /// <summary>
        /// 子集ID
        /// </summary>
        [DataColumn]
        public int MiddleSonId { get; set; }

        /// <summary>
        /// 是否阅读
        /// </summary>
        [DataColumn]
        public bool IsRead { get; set; }

        /// <summary>
        /// 手机人状态 1 接收 2 草稿
        /// </summary>
        [DataColumn]
        public NoticeTypeConst NoticeAddresseeType { get; set; }

        /// <summary>
        /// 是否管理员
        /// </summary>
        [DataColumn]
        public bool IsAdmin { get; set; }

        /// <summary>
        /// 是否删除
        /// </summary>
        [DataColumn]
        public bool IsDelete { get; set; }
        /// <summary>
        /// 是否默认 话题发布范围
        /// </summary>
        /// <value></value>
        [DataColumn]
        public bool IsDefault { get; set; }
        /// <summary>
        /// 是否上传
        /// </summary>
        /// <value></value>
         [DataColumn]
        public bool IsUpload { get; set; }
    }
}
